<?php
// Get cleanup tables
$cleanup_tables = $this->getTables();

// Count total cleanup
$count = 0;

// Available bulk actions
$bulk_actions = $this->bulk_actions();

?>

<!-- START: Bulk actions and pagination -->
<div class="ultimate-listings-pagination">

<div class="ultimate-pagination-mobile ultimate-pagination-wrap">
    <span class="ultimate-pagination-results">
        <?php /* translators: ... */ echo esc_html( sprintf( _n( '%s result', '%s results', $count, Ultimate_DB_Manager::DOMAIN ), $count ) ); ?>
    </span>
    <?php $this->pagination(); ?>
</div>

<div class="ultimate-pagination-desktop ultimate-box">
    <div class="ultimate-box-search">
        <form method="post" name="ultimate-bulk-action-form" class="ultimate-search-left">
            <input type="hidden" id="ultimate-cleanup-nonce" name="ultimate_cleanup_nonce" value="<?php echo wp_create_nonce( 'ultimate-cleanup-request' );?>">
            <input type="hidden" name="_wp_http_referer" value="<?php admin_url( 'admin.php?page=ultimate-db-manager-cleanup' ); ?>">
            <input type="hidden" name="cleanup-names" id="ultimate-cleanup-names" value="">
            <div class="ultimate-select-wrapper">
                <select name="ultimate_bulk_action" id="bulk-action-selector-top">
                    <option value=""><?php esc_html_e( 'Bulk Action', Ultimate_DB_Manager::DOMAIN ); ?></option>
                    <?php foreach ( $bulk_actions as $val => $label ) : ?>
                        <option value="<?php echo esc_attr( $val ); ?>"><?php echo esc_html( $label ); ?></option>
                    <?php endforeach; ?>
                </select>
            </div>

            <button class="ultimate-button ultimate-bulk-action-button">Apply</button>

        </form>

        <div class="ultimate-search-right">

        </div>

    </div>

</div>

</div>
<!-- END: Bulk actions and pagination -->

<div class="ultimate-box ultimate-table-list">
<table class="ultimate-table-entries ultimate-table ultimate-table-flushed ultimate-accordion">
<thead>
<tr>
    <th class="ultimate-column-id">
        <label for="ultimate-check-all-cleanup" class="ultimate-checkbox">
            <input type="checkbox" id="ultimate-check-all-cleanup">
            <span aria-hidden="true"></span>
            <span class="ultimate-screen-reader-text">Select all</span>
        </label>
        <label class="ultimate-checkbox ultimate-checkbox-sm">
            <span><?php esc_html_e( 'Cleanup Table Name', Ultimate_DB_Manager::DOMAIN ); ?></span>
        </label>
    </th>
    <th class="ultimate-column-date"><?php esc_html_e( 'Count', Ultimate_DB_Manager::DOMAIN ); ?></th>
    <th class="ultimate-column-apps"><?php esc_html_e( 'Actions', Ultimate_DB_Manager::DOMAIN ); ?></th>
</tr>
</thead>
<tbody class="ultimate-list">
<?php
    foreach ( $this->getTables() as $key => $module ) {
?>
<tr class="ultimate-accordion-item">
    <td class="ultimate-column-id ultimate-accordion-item-title">
        <label class="ultimate-checkbox ultimate-checkbox-sm">
            <input type="checkbox" class="ultimate-cleanup-listing-checkbox" value="<?php echo esc_html( $key ); ?>">
            <span aria-hidden="true"></span>
            <span><?php echo esc_html( $module['name'] ); ?></span>
        </label>
    </td>
    <td class="ultimate-column-date">
        <?php echo esc_html( $module['count'] ); ?>
    </td>
    <td class="ultimate-column-actions">
        <a href="#" class="ultimate-cleanup-actions ultimate-cleanup-empty" data-name="<?php echo esc_attr( $key ); ?>">
            <ion-icon name="trash-outline"></ion-icon>
        </a>
    </td>
</tr>
<?php
    }
?>
</tbody>
</table>
</div>